Type to search.

Get the rule types

Base URL
https://{kibana_url}
  • GET /api/alerting/rule_types
Auth

If you have read privileges for one or more Kibana features, the API response contains information about the appropriate rule types. For example, there are rule types associated with the Management > Stack Rules feature, Analytics > Discover and Machine Learning features, Observability features, and Security features. To get rule types associated with the Stack Monitoring feature, use the monitoring_user built-in role.

Responses

Indicates a successful call.

application/json
<array> object[]
category enum

The rule category, which is used by features such as category-specific maintenance windows.

Values: management observability securitySolution
default_action_group_id string

The default identifier for the rule type group.

does_set_recovery_context boolean

Indicates whether the rule passes context variables to its recovery action.

enabled_in_license boolean

Indicates whether the rule type is enabled or disabled based on the subscription.

has_alerts_mappings boolean

Indicates whether the rule type has custom mappings for the alert data.

has_fields_for_a_a_d boolean
id string

The unique identifier for the rule type.

is_exportable boolean

Indicates whether the rule type is exportable in Stack Management > Saved Objects.

minimum_license_required string

The subscriptions required to use the rule type.

name string

The descriptive name of the rule type.

producer string

An identifier for the application that produces this rule type.

rule_task_timeout string